package com.ama.core.common.startup

import android.app.Application
import android.content.Context
import androidx.startup.Initializer
import com.ama.core.common.util.AppProvider


class BaseCommonInitializer : Initializer<Unit> {

    override fun create(context: Context) {
        AppProvider.init(context as Application)
    }

    override fun dependencies(): MutableList<Class<out Initializer<*>>> {
        return mutableListOf()
    }
}